Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.groups.pags.testers
Class RegexTester

    java.lang.Object
      org.jasig.portal.groups.pags.testers.BaseAttributeTester
          org.jasig.portal.groups.pags.testers.StringTester
              org.jasig.portal.groups.pags.testers.RegexTester

All Implemented Interfaces:
  IPersonTester

    public class RegexTester

extends StringTester

A tester for matching the possibly multiple values of an attribute against a regular expression. If any of the values matches the pattern, the tester returns true.

Version:
  $Revision: 1.2 $
Author:
  Dan Ellentuck

Field Summary
`protected java.lang.String` | `pattern`
`protected char` | `PATTERN_DELIMITER`
`protected org.apache.oro.text.perl.Perl5Util` | `regexMatcher`

Fields inherited from class org.jasig.portal.groups.pags.testers.BaseAttributeTester
`attributeName, testValue`

Constructor Summary
`RegexTester(java.lang.String attribute, java.lang.String test)`

Method Summary
`protected void` | `initialize()`
`boolean` | `test(java.lang.String att)`

Methods inherited from class org.jasig.portal.groups.pags.testers.StringTester
`test`

Methods inherited from class org.jasig.portal.groups.pags.testers.BaseAttributeTester
`asString, getAttributeName, getTestValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### regexMatcher

    protected org.apache.oro.text.perl.Perl5Util regexMatcher

### pattern

    protected java.lang.String pattern

### PATTERN_DELIMITER

    protected char PATTERN_DELIMITER

Constructor Detail

### RegexTester

    public RegexTester(java.lang.String attribute,
                       java.lang.String test)

Method Detail

### initialize

    protected void initialize()

### test

    public boolean test(java.lang.String att)

  Overrides:
    `test` in class `StringTester`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD